gsexec.c File Reference

## Functions

int | initgroups (const char *name, gid_t basegid)
void | mapdir_newlease (char *mapdir, char *encodedkey)
int | GRSTexecGetMapping (char **target_uname, char **target_gname, char *mapdir, char *key)
void | internal_server_error (void)
void | forbidden_error (void)
int | main (int argc, char *argv[])

## Variables

char * | sys_errlist []
char ** | environ
char * | safe_env_lst []

## Function Documentation

## forbidden_error()

void forbidden_error | ( | void |  | ) |

## GRSTexecGetMapping()

int GRSTexecGetMapping | ( | char ** | target_uname,
|  | char ** | target_gname,
|  | char * | mapdir,
|  | char * | key )

## initgroups()

int initgroups | ( | const char * | name,
|  | gid_t | basegid )

## internal_server_error()

void internal_server_error | ( | void |  | ) |

## main()

int main | ( | int | argc,
|  | char * | argv[] )

## mapdir_newlease()

void mapdir_newlease | ( | char * | mapdir,
|  | char * | encodedkey )

## Variable Documentation

## environ

char** environ

extern

## safe_env_lst

char* safe_env_lst[]

## sys_errlist

char* sys_errlist[]

extern